Bug 101713 - Links exist to the 32 bit Libraries but they don't exist.
Links exist to the 32 bit Libraries but they don't exist.
Status: CLOSED NOTABUG
Product: Red Hat Linux Beta
Classification: Retired
Component: gcc (Show other bugs)
beta1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-05 18:18 EDT by Mark Lane
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-11 04:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Lane 2003-08-05 18:18:13 EDT
Description of problem:
When compiling with gcc and -m32 flag an error is returned stating that the 
libraries can't be found.

Version-Release number of selected component (if applicable):
gcc-3.3/3.2.2

How reproducible:
Every time

Steps to Reproduce:
1. Compile code with gcc against 32 bit libs (gcc -m32)
2.
3.
    
Actual results:
error libs don't exist

Expected results:
compiles fine.

Additional info:
This was a complaint that we received from a Client. Upon searching for the 
libraries we found symlinks to a /usr/lib/gcc-lib/i386-redhat-linux/ that does 
not exist.
Comment 1 Jakub Jelinek 2003-08-11 04:07:55 EDT
You need to install glibc-2.3.2-NN.i686.rpm, libgcc-2.3.2-NN.i386.rpm,
libstdc++-2.3.2-NN.i386.rpm etc. in addition to .x86_64.rpm.
Comment 2 Kevin Hendricks 2003-08-11 11:45:29 EDT
Hi Jakub, 
 
I am the client ... those rpms do not exist in the GINGIN 64 preview do they?  Do 
I need to worry about any glibc x86-64 pieces being overwritten when installing the glibc 2.3.2 
i686 rpm over/after the x86-64 sincve both write to /usr/include /usr/share etc? 
 
Kevin 
(kevin.hendricks@sympatico.ca) 
  
Comment 3 Jakub Jelinek 2003-08-11 11:55:59 EDT
rpm handles this through file coloring. Note that you always need the same
package NVR for both arches and if I remember well the last installed arch
is the preferred one, which means on x86-64 you need to:
rpm -Uvh glibc-{,-devel}-2.3.2-69.{i686,x86_64}.rpm.
E.g. Taroon AMD64 installer (redhat/linux/beta/taroon on ftp) should handle this.
Please direct further questions regarding this to jbj@redhat.com and/or
installer developers, I don't keep very close track on changes in this area.

Note You need to log in before you can comment on or make changes to this bug.